Bug 1135499 (kf5-networkmanager-qt) - Review Request: kf5-networkmanager-qt - A Tier 1 KDE Frameworks 5 module that wraps NetworkManager DBus API
Summary: Review Request: kf5-networkmanager-qt - A Tier 1 KDE Frameworks 5 module that...
Keywords:
Status: CLOSED RAWHIDE
Alias: kf5-networkmanager-qt
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
Jan Grulich
URL:
Whiteboard:
Depends On: kf5-modemmanager-qt
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-08-29 13:14 UTC by Daniel Vrátil
Modified: 2015-11-02 01:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:34:03 UTC
jgrulich: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2014-08-29 13:14:11 UTC
Spec URL: https://dvratil.fedorapeople.org/plasma5/review/kf5-libnm-qt.spec
SRPM URL: https://dvratil.fedorapeople.org/plasma5/review/kf5-libnm-qt-5.0.92-1.fc20.src.rpm
Description: A Tier 1 KDE Frameworks 5 Qt library for NetworkManager.
Fedora Account System Username: dvratil

Comment 1 Jan Grulich 2014-11-19 09:44:10 UTC
Missing to install COPYING.LIB and README.md. Except of that it looks good and can be fixed during import.

Comment 2 Rex Dieter 2014-12-03 19:24:07 UTC
I think we can skip a separate kf5- module, and re-use and upgrade the existing libnm-qt package/module already in fedora instead.

That will give us a natural upgrade path, and nothing in f22/plasma5 should be relying on qt4 libnm-qt anyway.

Comment 3 Daniel Vrátil 2014-12-19 16:19:01 UTC
See my comment under kf5-libmm-qt review. libnm-qt is going to become a KDE Framework, so for the sake of consistency I'd prefer having kf5-libnm-qt, and eventually retire libnm-qt.

Comment 4 Jan Grulich 2015-01-06 12:43:43 UTC
Upstream has been renamed to networkmanager-qt, rename please the package accordingly.

Comment 5 Daniel Vrátil 2015-01-06 13:22:07 UTC
Spec URL: https://dvratil.fedorapeople.org/kf5/review/kf5-networkmanager-qt.spec
SRPM URL: https://dvratil.fedorapeople.org/kf5/review/kf5-networkmanager-qt-5.6.0-1.fc21.src.rpm

Renamed to kf5-networkmanager-qt, minor fixes.

Comment 6 Jan Grulich 2015-01-06 13:29:56 UTC
Already approved, just the url should be https://projects.kde.org/projects/frameworks/networkmanager-qt.

Comment 7 Daniel Vrátil 2015-01-06 15:28:53 UTC
New Package SCM Request
=======================
Package Name: kf5-networkmanager-qt
Short Description: KDE Frameworks 5 Tier 1 module that wraps NetworkManager DBus API
Upstream URL: https://projects.kde.org/projects/frameworks/networkmanager-qt
Owners: group::kde-sig
Branches: f20 f21
InitialCC:

Comment 8 Gwyn Ciesla 2015-01-06 16:06:46 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.